using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Nano_System
{
    public partial class frmRepKolleKharidha : Form
    {
        public frmRepKolleKharidha()
        {
            InitializeComponent();
        }

        private void frmRepKolleKharidha_Load(object sender, EventArgs e)
        {

            LSC_NanoProjDataContext db = new LSC_NanoProjDataContext();
            var Query = from Row in db.xtblKolleKharidhas
                        select new
                        {
                            Row.Title,
                            Row.Quantity1,
                            Row.PurchPrice,
                            Row.TotalPRICE,
                            Row.NameSname,
                            Row.DtOfSodoor
                        };

            reportViewer1.SetDisplayMode(Microsoft.Reporting.WinForms.DisplayMode.PrintLayout);
            reportViewer1.ZoomMode = Microsoft.Reporting.WinForms.ZoomMode.Percent;
            reportViewer1.ZoomPercent = 25;

            xtblKolleKharidhaBindingSource.DataSource = Query;
            reportViewer1.RefreshReport(); 
        }
    }
}
